<div class="wrap">
<h2>Advanced TinyMCE Editor Configuration</h2>
<?php
if (!empty($message)) {
	?>
	<div id="message" class="updated fade" style="background-color: rgb(207, 235, 247);"><p><?php echo $message?></p></div>
	<?
}

?>
<p><strong>IMPORTANT:</strong> You must first 'Save Settings' below to complete plug-in activation!</p>
<p><strong>Note:</strong> Once changes are saved, you may have to clear your browser cache to see them in the Advanced TinyMCE Editor (esp. for Firefox).</p>
<form method="POST">
<input type="hidden" name="<?php echo $var_submit?>" value="1"/>
<?php wp_nonce_field($this->namespace);?>
<p style="text-align:right"><input type="submit" value="Save Settings &raquo;"/></p>
<h3>CSS Files:</h3>
<p>
Enter the full path URLs of CSS stylesheets you want to show up in the editor, separated by commas. Stylesheets containing complex declarations may not be displayed correctly by the Advanced TinyMCE Editor. Make sure the stylesheets entered here contain only simple class declarations, e.g.: ".someclass".<br/>
<textarea
	style="width:95%;height:50px;"  
	name="<?php echo $var_css?>" 
	id="<?php echo $var_css?>"><?php echo  ($this->options["css"])?></textarea>

</p>


<h3 style="margin-top: 25px;">Editor Width:</h3>
<p><strong>Note:</strong> If your editing area does not fit the available screen (esp when in 800 x 600 mode), you will need to remove button(s)
 from the offending row(s).</p>

<h3 style="margin-top: 25px;">Editor Button Display:</h3>
<?php
foreach ($this->arr_btns as $row=>$groups) {
	?>
	<h3 style="clear: both;">Row <?php echo $row + 1;?></h3>
	<?php
	foreach ($groups as $group_ind=>$group){
		?>
		<div style="float: left; margin: 10px; padding: 2px; border: 1px dotted #CCC;"><em>Group <?php echo $group_ind + 1?>: </em>
		<?php 
		foreach ($group as $btn_ind=>$btn) {
			?>
			
			<label 
				style="white-space: nowrap; padding: 0px 10px;"
				for="<?php echo $var_btns?>_<?php echo $row?>_<?php echo $group_ind?>_<?php echo $btn_ind?>"
			><input 
				type="checkbox" value="1" 
				name="<?php echo $var_btns?>[<?php echo $row?>][<?php echo $group_ind?>][<?php echo $btn_ind?>]"
				id="<?php echo $var_btns?>_<?php echo $row?>_<?php echo $group_ind?>_<?php echo $btn_ind?>"
				<?php if (in_array($btn, $this->options["btns"][$row][$group_ind])) echo " checked=\"checked\" ";?>
			/> <?php echo $btn?></label> 
			<?php
		}
		?>
		</div>
		<?php
	}
}
?>

<p style="text-align: right; clear:both;"><input type="submit" value="Save Settings &raquo;"/></p>
</div>
